import { Extension } from "@tiptap/core";
declare module "@tiptap/core" {
    interface Commands<ReturnType> {
        datetime: {
            /**
             * Insert time at current position
             */
            insertTime: () => ReturnType;
            /**
             * Insert date at current position
             */
            insertDate: () => ReturnType;
            /**
             * Insert date & time at current position
             */
            insertDateTime: () => ReturnType;
        };
    }
}
export type DateTimeOptions = {
    dateFormat: string;
    timeFormat: "12-hour" | "24-hour";
};
export declare const DateTime: Extension<DateTimeOptions, any>;
