var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
/*
This file is part of the Notesnook project (https://notesnook.com/)

Copyright (C) 2023 Streetwriters (Private) Limited

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import { Text } from "@theme-ui/components";
import { useRef, useEffect } from "react";
import { loadKatex } from "./plugin/renderers/katex";
import { MathInline } from "./math-inline";
const HIDDEN_STYLES = {
    visibility: "hidden",
    width: 0,
    height: 0,
    display: "inline-block",
    position: "absolute"
};
const VISIBLE_STYLES = {
    visibility: "visible"
};
export function InlineMathComponent(props) {
    const { editor, getPos, forwardRef } = props;
    const elementRef = useRef(null);
    const isActive = editor.isActive(MathInline.name);
    useEffect(() => {
        if (isActive)
            return;
        (function () {
            var _a;
            return __awaiter(this, void 0, void 0, function* () {
                const pos = getPos();
                const node = (_a = editor.current) === null || _a === void 0 ? void 0 : _a.state.doc.nodeAt(pos);
                const text = node === null || node === void 0 ? void 0 : node.textContent;
                if (text && elementRef.current) {
                    const katex = yield loadKatex();
                    elementRef.current.innerHTML = katex.renderToString(text, {
                        displayMode: false,
                        globalGroup: true,
                        throwOnError: false
                    });
                }
            });
        })();
    }, [isActive]);
    return (_jsxs(_Fragment, { children: [_jsx(Text, { as: "code", sx: Object.assign({}, (isActive
                    ? Object.assign(Object.assign({}, VISIBLE_STYLES), { ":before, :after": { content: `"$$"`, color: "fontTertiary" } }) : HIDDEN_STYLES)), children: _jsx(Text, { as: "span", ref: forwardRef }) }), _jsx(Text, { as: "span", contentEditable: false, ref: elementRef, sx: Object.assign(Object.assign({}, (!isActive ? VISIBLE_STYLES : HIDDEN_STYLES)), { ".katex": { fontSize: "1em" } }) })] }));
}
