import React, { PropsWithChildren } from "react";
import { EventDispatcher } from "./event-dispatcher";
export type BasePortalProviderProps = PropsWithChildren<unknown>;
export type Portals = Map<HTMLElement, React.ReactChild>;
export type PortalRendererState = {
    portals: Portals;
};
type MountedPortal = {
    children: () => React.ReactChild | null;
};
export declare class PortalProviderAPI extends EventDispatcher {
    portals: Map<HTMLElement, MountedPortal>;
    context?: PortalRenderer;
    constructor();
    setContext: (context: PortalRenderer) => void;
    render(children: () => React.ReactChild | JSX.Element | null, container: HTMLElement): void;
    forceUpdate(): void;
    remove(container: HTMLElement): void;
}
export declare function usePortalProvider(): PortalProviderAPI | undefined;
export declare class PortalProvider extends React.Component<BasePortalProviderProps> {
    static displayName: string;
    portalProviderAPI: PortalProviderAPI;
    constructor(props: BasePortalProviderProps);
    render(): JSX.Element;
    componentDidUpdate(): void;
}
export declare class PortalRenderer extends React.Component<{
    portalProviderAPI: PortalProviderAPI;
}, PortalRendererState> {
    constructor(props: {
        portalProviderAPI: PortalProviderAPI;
    });
    handleUpdate: (portals: Portals) => void;
    render(): JSX.Element;
}
export {};
