import { jsx as _jsx } from "react/jsx-runtime";
import { SearchReplacePopup } from "../popups/search-replace";
import { ResponsivePresenter } from "../../components/responsive";
import { getEditorContainer, getToolbarElement } from "../utils/dom";
export function SearchReplaceFloatingMenu(props) {
    const { editor } = props;
    const { isSearching } = editor.storage.searchreplace;
    return (_jsx(ResponsivePresenter, { mobile: "sheet", desktop: "menu", isOpen: isSearching, onClose: () => editor.commands.endSearch(), position: {
            target: editor.isEditable ? getToolbarElement() : getEditorContainer(),
            isTargetAbsolute: true,
            location: editor.isEditable ? "below" : "top",
            align: "end",
            yOffset: editor.isEditable ? 5 : -50
        }, blocking: false, focusOnRender: false, draggable: false, children: _jsx(SearchReplacePopup, { editor: editor }) }));
}
